Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.event
Class XMPPBridgeFactory

    java.lang.Object
      org.apache.cayenne.event.XMPPBridgeFactory

All Implemented Interfaces:
  EventBridgeFactory

    public class XMPPBridgeFactory

extends java.lang.Object
implements EventBridgeFactory

A factory of XMPPBridge. Note that to deploy an XMPPBridge, you need to have smack.jar library in the runtime.

Since:
  1.2
Author:
  Andrus Adamchik

Field Summary
`static java.lang.String` | `XMPP_CHAT_SERVICE_PROPERTY` An optional property, "conference" is used as default chat service.
`static java.lang.String` | `XMPP_HOST_PROPERTY`
`static java.lang.String` | `XMPP_LOGIN_PROPERTY`
`static java.lang.String` | `XMPP_PASSWORD_PROPERTY`
`static java.lang.String` | `XMPP_PORT_PROPERTY` An optional property, port 5222 is used as default XMPP port.
`static java.lang.String` | `XMPP_SECURE_CONNECTION_PROPERTY`

Constructor Summary
`XMPPBridgeFactory()`

Method Summary
`EventBridge` | `createEventBridge(java.util.Collection localSubjects, java.lang.String externalSubject, java.util.Map properties)` Creates an EventBridge with the specified parameters.
`EventBridge` | `createEventBridge(EventSubject localSubject, java.util.Map properties)` Deprecated. since 1.2, as we now need to support multiple subjects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMPP_HOST_PROPERTY

    public static final java.lang.String XMPP_HOST_PROPERTY

See Also:
  Constant Field Values

### XMPP_PORT_PROPERTY

    public static final java.lang.String XMPP_PORT_PROPERTY

  An optional property, port 5222 is used as default XMPP port.

  See Also:
    Constant Field Values

### XMPP_CHAT_SERVICE_PROPERTY

    public static final java.lang.String XMPP_CHAT_SERVICE_PROPERTY

  An optional property, "conference" is used as default chat service.

  See Also:
    Constant Field Values

### XMPP_SECURE_CONNECTION_PROPERTY

    public static final java.lang.String XMPP_SECURE_CONNECTION_PROPERTY

See Also:
  Constant Field Values

### XMPP_LOGIN_PROPERTY

    public static final java.lang.String XMPP_LOGIN_PROPERTY

See Also:
  Constant Field Values

### XMPP_PASSWORD_PROPERTY

    public static final java.lang.String XMPP_PASSWORD_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### XMPPBridgeFactory

    public XMPPBridgeFactory()

Method Detail

### createEventBridge

    public EventBridge createEventBridge(EventSubject localSubject,
                                         java.util.Map properties)

  Deprecated. since 1.2, as we now need to support multiple subjects.

  Specified by:
    `createEventBridge` in interface `EventBridgeFactory`

### createEventBridge

    public EventBridge createEventBridge(java.util.Collection localSubjects,
                                         java.lang.String externalSubject,
                                         java.util.Map properties)

  Description copied from interface: `EventBridgeFactory`
  Creates an EventBridge with the specified parameters.

  Specified by:
    `createEventBridge` in interface `EventBridgeFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.